%define akonadi_xml_major 4
%define libakonadi_xml %mklibname akonadi-xml %{akonadi_xml_major}
%define kdepim_copy_major 4
%define libkdepim_copy %mklibname kdepim-copy %{kdepim_copy_major}
%define maildir_major 4
%define libmaildir %mklibname maildir %{maildir_major}
%define mbox_major 4
%define libmbox %mklibname mbox %{mbox_major}
%define akonadi_filestore_major 4
%define libakonadi_filestore %mklibname akonadi-filestore %{akonadi_filestore_major}
%define kmindexreader_major 4
%define libkmindexreader %mklibname kmindexreader %kmindexreader_major

Name: kde-pimruntime
Summary: K Desktop Environment
Version: 4.14.10
Release: %mkrel 1
Group: Graphical desktop/KDE4
License: GPL
URL: http://pim.kde.org
Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdepim-runtime-%version.tar.xz
Patch1: 	kdepim-runtime-4.4.0-show-akonadi-kcm-kde45.patch
Patch2: 	kdepim-runtime-4.4.93-show_akonadi_kcm.patch
Patch50: 	kdepim-runtime-4.9.0-sqlite-support.patch
Patch200:	kdepim-4.4.1-t1108280-kres-fix-instance-creation.patch
Patch201:	kdepim-4.4.1-t1108431-kres-do-not-start-akonadi.patch
BuildRoot:     %_tmppath/%name-%version-%release-root
BuildRequires: kdelibs-devel
BuildRequires: kde-pimlibs-devel >= %{version}
BuildRequires: automoc4
BuildRequires: boost-devel
BuildRequires: akonadi-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: strigi-devel
BuildRequires: qt4-qtdbus
BuildRequires: akonadi
BuildRequires: shared-desktop-ontologies-devel
BuildRequires: %{_lib}sqlite3-devel
BuildRequires: libkgapi-devel
Obsoletes: kdepim4-runtime < %version
Requires: %{_lib}sqlite3_0

%description
Information Management applications for the K Desktop Environment runtime libs.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%_kde_bindir/*
%_kde_appsdir/akonadi
%_kde_applicationsdir/*
%_kde_datadir/akonadi
%_kde_services/*
%_kde_datadir/mime/packages/*
%_kde_libdir/kde4/*
%_kde_iconsdir/*/*/*/*
%_kde_configdir/*
%_kde_libdir/libkdepim-copy.so.%{kdepim_copy_major}*
%_kde_libdir/libmaildir.so.%{maildir_major}*
%_kde_libdir/libfolderarchivesettings.so.%{maildir_major}*
%_kde_libdir/libakonadi-filestore.so.%{akonadi_filestore_major}*
%_kde_libdir/libkmindexreader.so.%{kmindexreader_major}*
%_kde_datadir/autostart/kaddressbookmigrator.desktop
%_kde_datadir/dbus-1/interfaces/*
%_kde_datadir/apps/akonadi_maildispatcher_agent/akonadi_maildispatcher_agent.notifyrc
%_kde_datadir/apps/akonadi_newmailnotifier_agent/akonadi_newmailnotifier_agent.notifyrc
#%_kde_datadir/apps/nepomukpimindexerutility/nepomukpimindexerutility.rc
%_kde_datadir/apps/kconf_update/newmailnotifier.upd
#%_kde_datadir/kde4/servicetypes/akonadinepomukfeeder.desktop
%_kde_datadir/kde4/servicetypes/davgroupwareprovider.desktop
#%_kde_datadir/ontology/kde/aneo.ontology
#%_kde_datadir/ontology/kde/aneo.trig

#----------------------------------------------------------------------

%package devel
Summary: Devel stuff for %name
Group: Development/Libraries
Requires: kde4-macros
Requires: kdelibs-devel
Requires: kde-pimlibs-devel
Requires: %{name} = %{version}
Obsoletes: kdepim4-runtime-devel

%description devel
This package contains header files needed if you wish to build applications
based on kdepim-runtime.

%files devel
%defattr(-,root,root)
%_kde_libdir/libakonadi-filestore.so                                                                                                                                                                          
%_kde_libdir/libkdepim-copy.so                                                                                                                                                                                
%_kde_libdir/libkmindexreader.so                                                                                                                                                                              
%_kde_libdir/libmaildir.so
%_kde_libdir/libfolderarchivesettings.so
#----------------------------------------------------------------------

%prep
%setup -q -n kdepim-runtime-%version
#patch1 -p1 
#patch200 -p0
#patch201 -p0
%patch2 -p1 -b .show_akonadi_kcm
#patch50 -p1 -b .sqlite-support

%build
%cmake_kde4
%make

%install
rm -fr %buildroot

%makeinstall_std -C build
# remove unneeded libs
rm -f %{buildroot}%{_kde_libdir}/libnepomukfeederpluginlib.a

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pp <pp> 4.14.10-1pclos2015
- update

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 4.14.7-1pclos2015
- 4.14.7

* Sat Mar 07 2015 bb <bb> 4.14.6-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3


